package com.school.project.controller;


import com.school.project.model.Student;
import com.school.project.service.student.StudentServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.annotation.CurrentSecurityContext;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/student")
public class StudentController {

    @Autowired
    private StudentServiceImpl studentService;

    @GetMapping("/data/{id}")
    public Student getUserDetails(@CurrentSecurityContext(expression = "authentication")
                                   Authentication authentication , @PathVariable("id") Long id) {

        Student student = studentService.viewData(id);
//        Student student = studentService.viewData(authentication.getName());
        return student;
    }
}
