package com.school.project.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sun.istack.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.RequiredArgsConstructor;

import javax.persistence.*;
import java.util.List;

@Data
@Entity()
@NoArgsConstructor
@Table(name = "Course")
public class Course {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    @NotNull
    @Column(name = "name", unique = true)
    private String courseName;

    @NotNull
    @Column(name = "courseCode",unique = true)
    private String courseCode;

    @ManyToMany(fetch = FetchType.LAZY, mappedBy = "courseLists")
    @JsonIgnore
    private List<Student> studentList;

    @ManyToMany(fetch = FetchType.LAZY, mappedBy = "courseList")
    @JsonIgnore
    private List<Teacher> teacherList;

}
